Subject: g03 on athlon in parallel

From: Grzegorz Bakalarski <[email-masked]>
Date: Tue, 8 Apr 2003 17:30:49 +0200

Dear CCL Readers,

We have two computers:

1) Linux (RH7.3) with 2X Intel Pentium III 1266Mhz procesors
2) Linux (RH7.3) with 2X AMD Athlon 1800+ procesors.

We have pgf77 installed and licensed for only Pentium machine.

We received G03 and it compiled well on first machine (standard installation).
And g03 runs very well on 1 and 2 processors (%nproc=2)
I've tried to run executable on second machine, but there was a lack of dynamic
libraries. After some modification of i386.make I compiled static version
of g03. And it runs quite well on athlon, but only on 1 processor (i.e. %nproc=1)
If I sepcify %nproc=2 then I get warning:

Warning: OMP_SET_NUM_THREADS greater than available cpus (set to 2; cpus = 1)
Warning: OMP_SET_NUM_THREADS greater than NCPUS_MAX, using NCPUS_MAX

 Will use up to    2 processors via shared memory.
 Inconsistency in NProc:  NTCur=   2 but real number of threads=   1
 N=   4 NumPrc=    2 MaxCur=   2 NP=   2.
Command exited with non-zero status 1

and g03 stops before reading structure. What is the problem?

What means: "real number of threads=   1" ????????????????????????

Should I compile in another way? Are there any setting in Linux
I should activate ???

Thanks for any help!

Grzegorz